# Haste [![Build Status](https://travis-ci.org/codefog/contao-haste.png)](https://travis-ci.org/codefog/contao-haste)


## About ##

Haste is a collection of tools and classes to ease working with Contao.


## Maintaners ##

* Kamil Kuzminski <kamil.kuzminski@codefog.pl>
* Yanick Witschi <yanick.witschi@terminal42.ch>
* Andreas Schempp <andreas.schempp@terminal42.ch>

**Contributors:** https://github.com/codefog/contao-haste/graphs/contributors


## Dependencies ##

* Contao version 3.5 or later
* [NamespaceClassLoader](https://github.com/terminal42/contao-NamespaceClassLoader)
  or Composer class loader


## Components ##

- [Ajax/ReloadHelper](docs/Ajax/ReloadHelper.md)
- [Date](docs/Date/index.md)
- [Dca](docs/Dca/index.md)
- [Form](docs/Form/Form.md)
- [Frontend](docs/Frontend/index.md)
- [Http](docs/Http/index.md)
- [Image](docs/Image/index.md)
- [Input](docs/Input/index.md)
- [IO/Writer/CsvFileWriter](docs/IO/index.md)
- [Model](docs/Model/index.md)
- [Units/Mass](docs/Units/Mass.md)
- [Util/Debug](docs/Util/Debug.md)
- [Util/Pagination](docs/Util/Pagination.md)
- [Util/Undo](docs/Util/Undo.md)
- [Util/StringUtil](docs/Util/StringUtil.md)
- [Util/Url](docs/Util/Url.md)


## Insert tags ##

Haste also provides several insert tags to ease working with Contao.
See the [insert tags documentation](docs/Util/InsertTags.md).
